**************************************************
EMPSURV.SAS - Reads STC project file EMPSURV.ASC 
(comma delimited ASCII file). 
 
Note - record length 512 (not needed since comma
delimited file)

8/17/01
*************************************************;
option nocenter;
option errors=1;


data empsurv;
 
infile 'dkb200:[demodata]empsurv.asc' dlm=','; 
input csid $ 
c2
c3
c4
c5
c8
c9
c10
c11
c12
c12a
c13
c13a
c14
c14a
c15
c16
c17
c19
c20
c21
c22
c24
c25
c26
c27
c28
c28b
c30
c31
c32
c33
c34
c35
c36
c37
c38
c39
c40
c41
c42
c43
c44
c45
c46
c47
c48
c50
c51
c52
c53
c55
c56
c57
c58
c60
c61
c62
c62a
c62b
c62c
c62d
c63
c64
c65
c66
c67
c68
c69
c69a
c69b
c69c
c69d
c70
c71
c72
c73
c74
c75
c76
r1
r2
r3
r4
r5
r6
r7
r8
r8a
r9
r10
r11
r12
r14
r15
r16
so1
so1a
s1
s1a
s1b
s1c
s2 $
s3
s4
s5a
s6
s7
s8
s9
s10
s11
s12
s13
s13a
s14
s15
s16
s17
s18
s19
s20
s21
s22
s22a
s23
s24
s25
s26
s2a
s28
s29
s30
s31
s32
s33
s33a
s34
s35
s36a
s37
s38
s39
s39a
s40
s41
s42
s43
s44
s45
s46
s47
s48
s49
s49a
s50
s51
s52
s53
s64
s65
s66
s67
s68
s69
s70
s71
s72
s73
s74
s75
s76
s77
s78
s79
s80
s81
s82
s83
s84
s85
s86
s86a
s87
s88
s89
s90
s91
s92
s92a
s93
s94
s95
s96
s97
s98
s98a
s99
s100
s101
s102
s103
s104
s104a
s105
s106
s107
s108
s109
s109a
s110
s110a
s111
s112
s113
s114
s115
s116
s116a
s117
s118
s119
s120
s121
s122
s122a
s123
s124
s125
s126
s127
s128
s128a
s129
s130
s131
s132
s133
s134
s135
s136
s137
s138
s139
s139a
s140
s141
s142
s143
s144
s145
s146
s147
s148
s148a
;

run;

data empsurv;
  set empsurv;

label c2='YEARS IN BUSINESS';
label C3='PRIVATELY HELD/PUBLIC CO';
label C4='NUMBER EMPLOYEES CURRENTLY';
label C5='NUMBER EMPLOYEES IN 1992';
label C8='% MGMT IN 1992';
label C9='% PROF/TECH IN 1992';
label C10='% CLERICAL IN 1992';
label C11='% PROD/SEMI/UNSKILL IN 1992';
label C12='AVG WAGE/SALARY FOR PROF IN 1992';
label C12A='UNIT REPORT FOR PROF';
label C13='AVG WAGE/SALARY FOR CLERICAL IN 1992';
label C13A='UNIT REPORT FOR CLERICAL';
label C14='AVG WAGE/SALARY FOR PROD/SEMI/UNSK IN 92';
label C14A='UNIT REPORT FOR PROD/SEMI/UNSKILL';
label C15='RATES HIGH/LOW/SAME THAN IND AVG';
label C16='RATE ADJ UP/DOWN/NONE SINCE 1992';
label C17='% FEMALE IN 1992';
label C19='% UNDER 25 IN 1992';
label C20='% 25-40 IN 1992';
label C21='% 41-60 IN 1992';
label C22='% OVER 60 IN 1992';
label C24='% WHITE IN 1992';
label C25='% BLACK IN 1992';
label C26='% HISPANIC IN 1992';
label C27='% ASIAN/PAC ISLAND IN 1992';
label C28='% AMER INDIAN IN 1992';
label C28B='% OTHER ETHNICITIES IN 1992';
label C30='% WORKED IN CO <2 YRS';
label C31='% WORKED IN CO 2-10 YRS';
label C32='% WORKED IN CO 11-20 YRS';
label C33='% WORKED IN CO >20 YRS';
label C34='WORKWEEK HOURS FOR NON-MGMT';
label C35='HOURS OF TEMP WORK PER WEEK';
label C36='1992 TOTAL SALES';
label C37='SHOW PROFIT/EVEN/LOSE MONEY';
label C38='OFFER HEALTH INS IN 1992';
label C39='% ELIGIBLE FOR HEALTH INS';
label C40='OFFER RETIREMENT PLAN IN 1992';
label C41='% ELIGIBLE FOR RETIREMENT';
label C42='FRINGE BENEFITS/ANNUAL PAY';
label C43='% COVERED BY COLL BARGAINING IN 1992';
label C44='SEASONAL VARIATIONS';
label C45='% INCREASE FROM LOW TO HIGH SEASON';
label C46='OVERTIME PAID IN 1992';
label C47='Y/N LAYOFFS IN 1994';
label C48='NUMBER OF LAYOFFS IN 1994';
label C50='NUMBER LAYOFFS CALLED BACK 1994';
label C51='NUMBER LAYOFFS RETURN TO WORK 1994';
label C52='Y/N LAYOFFS IN 1993';
label C53='NUMBER OF LAYOFFS IN 1993';
label C55='NUMBER LAYOFFS CALLED BACK 1993';
label C56='NUMBER LAYOFFS RETURN TO WORK 1993';
label C57='Y/N LAYOFFS IN 1992';
label C58='NUMBER OF LAYOFFS IN 1992';
label C60='NUMBER LAYOFFS CALLED BACK 1992';
label C61='NUMBER LAYOFFS RETURN TO WORK 1992';
label C62='Y/N AT RISK BY OCCUPATION';
label C62A='AT RISK - MGMT';
label C62B='AT RISK - TECH/PROF/HIGH SKILL';
label C62C='AT RISK - CLERICAL';
label C62D='AT RISK - PROC/SEMI/UNSKILL';
label C63='Y/N AT RISK BY TENURE';
label C64='AT RISK - <2 YRS';
label C65='AT RISK - 2-10 YRS';
label C66='AT RISK - 11-20 YRS';
label C67='AT RISK - >20 YRS';
label C68='AT RISK MALE/FEMALE/SAME';
label C69='Y/N AT RISK BY AGE';
label C69A='AT RISK - <25 AGE';
label C69B='AT RISK - 25-40 AGE';
label C69C='AT RISK - 41-60 AGE';
label C69D='AT RISK - >60 AGE';
label C70='Y/N AT RISK BY ETHNIC GROUP';
label C71='AT RISK - WHITE';
label C72='AT RISK - BLACK';
label C73='AT RISK - HISPANIC';
label C74='AT RISK - ASIAN/PAC ISLAND';
label C75='AT RISK - AMER INDIAN';
label C76='AT RISK - OTHER ETHNICITY';
label S1='Y/N PLAN FILED AND APPROVED';
label S1A='Y/N SURE NO PLAN FILED';
label S1B='Y/N EMPLOYEE SUBMIT CLAIM';
label S1C='Y/N SURE NO CLAIMS FILED';
label SO1='FILE PLAN/SUBMIT CLAIM YY/YN/NN';
label SO1A='Y/N SURE NO CLAIMS FILED';
label S3='INITIAL SOURCE HEARD ABT PROGRAM';
label S4='Y/N DIFFICULTY GETTING INFO';
label S5A='PADV-FLEX IN ADJ EMP LEVEL I/SI/NI';
label S6='PADV-RETAIN VALUEE EMPLOYEES I/SI/NI';
label S7='PADV-SUCCESS USED PROGRAM BEFORE I/SI/NI';
label S8='PADV-AVOID DISRUPT IN BUS/PROD I/SI/NI';
label S9='PADV-REDUCE COST OF HIRE/REHIRE I/SI/NI';
label S10='PADV-EMPLOYEE RETAIN BENEFITS I/SI/NI';
label S11='PADV-KEEPS EMPLOYEES EMPLOYED I/SI/NI';
label S12='PADV-MAINTAIN EMPLOYEE MORALE I/SI/NI';
label S13='PADV-EMPLOYEE FREE TIME I/SI/NI';
label S13A='PY/N OTHER BENEFITS FROM STC';
label S14='PDIS-INCREASE IN UI TAX RATE I/SI/NI';
label S15='PDIS-HIGHER FRINGE BENEFITS I/SI/NI';
label S16='PDIS-PROG RULES INFLEXIBLE I/SI/NI';
label S17='PDIS-BEN PERIOD TOO SHORT I/SI/NI';
label S18='PDIS-ADMIN BURDEN I/SI/NI';
label S19='PDIS-UNION OPPOSITION I/SI/NI';
label S20='PDIS-WORKER OPPOSITION I/SI/NI';
label S21='PDIS-HIGHER TURNOVER I/SI/NI';
label S22='PDIS-INEFFICIENT PROD PROCESS I/SI/NI';
label S22A='PY/N OTHER DISADVANTAGES FROM STC';
label S23='Y/N UI TAX RATE INCREASE';
label S24='UI TAX INCREASE LARGE/MODEST';
label S25='UI TAX INCREASE SED/SLD/ND';
label S26='Y/N RESTRICTIVE';
label S2A='MIN HRS WORK REDUCTION SED/SLD/ND';
label S28='MAX HRS WORK REDUCTION SED/SLD/ND';
label S29='MAX MONTHS CO PART SED/SLD/ND';
label S30='MAX MONTHS IND PART SED/SLD/ND';
label S31='MIN NUM EMPLOYEES W/RED HRS SED/SLD/ND';
label S32='LIMIT CO CHNGS AFT APPROVAL SED/SLD/ND';
label S33='LIMIT IND CHNGS AFT APPROVAL SED/SLD/ND';
label S33A='Y/N OTHER DRAWBACKS';
label S34='GREATEST RESTRICT DRAWBACK 1-8';
label S35='Y/N ADMIN TASKS BURDENSOME';
label S36A='FORMS PREP SED/SLD/ND';
label S37='SCHEDULING SED/SLD/ND';
label S38='FRINGE BEN REDUCTION SED/SLD/ND';
label S39='ADDTL ACCOUNTING TASKS SED/SLD/ND';
label S39A='OTHER ADMIN TASKS SED/SLD/ND';
label S40='GREATEST ADMIN DRAWBACK 1-5';
label S41='AVG % REDUCT IN EMPLOYEE HRS';
label S42='Y/N % REDUCT FLUCTUATED';
label S43='NUM EMPLOYEES PARTICIPATING IN A WEEK';
label S44='Y/N NUM EMPLOYEES FLUCTUATED';
label S45='NUM EMPLOYEES ON REDUCED HRS';
label S46='FRINGE BENS RED/ELIM YE/YR/N/NFRINGE';
label S47='Y/N HEALTH BENS AFFECTED';
label S48='Y/N PENSION/RETIREMENT BENS AFFECTED';
label S49='Y/N HOLIDAY/VACATION PAY AFFECTED';
label S49A='Y/N OTHER BENEFITS AFFECTED';
label S50='% MGMT USING STC';
label S51='% TECH/PROF USING STC';
label S52='% CLERICAL/SALES USING STC';
label S53='% PROD/SEMI/UNSKILL USING STC';
label S64='% TENURE <2 YRS USING STC';
label S65='% TENURE 2-10 YRS USING STC';
label S66='% TENURE 11-20 YRS USING STC';
label S67='% TENURE >20 YRS USING STC';
label S68='Y/N IF NO STC, LAYOFFS OR MORE LAYOFFS';
label S69='IF NO STC LAYOFFS TEMP/PERM';
label S70='IF NO STC, NUM EMPLOYEES LAID OFF';
label S71='Y/N IF NO STC, PARTICULAR GRPS AFFECTED';
label S72='Y/N, DURING STC WERE THERE LAYOFFS';
label S73='DURING STC, NUM EMPLOYEES LAID OFF';
label S74='Y/N AFTER STC WERE THERE LAYOFFS';
label S75='AFTER STC, NUM EMPLOYEES LAID OFF';
label S76='AFTER STC, NUM EMPL LAID OFF WHO USED ST';
label S77='Y/N DURING STC EMPL LEAVE VOLUNTAR';
label S78='DURING STC NUM EMPL LEAVE VOLUNTARILY';
label S79='Y/N DURING STC EMPL LEAVE B/C STC';
label S80='DURING STC, NUM EMPL LEAVE B/C STC';
label S81='DURING STC, EMPLOYEES REACTION 1-5';
label S82='Y/N PRCT TO STC, EMPL INC IN JOB SECUR';
label S83='Y/N PRCT TO STC, EMPL FAIRNESS';
label S84='Y/N PRCT TO STC, EMPL PAY FOR LEISURE';
label S85='Y/N PRCT TO STC, EMPL CONTIN FRINGE BEN';
label S86='Y/N PRCT TO STC, EMPL POS WORK MORALE';
label S86A='Y/N PRCT TO STC, EMPL OTHER POS REASONS';
label S87='Y/N PRCT TO STC, EMPL REDUCED EARNINGS';
label S88='Y/N PRCT TO STC, EMPL UNFAIR TO SENIOR';
label S89='Y/N PRCT TO STC, EMPL UNPRED WORK SCHED';
label S90='Y/N PRCT TO STC, EMPL INC WORKER PROD';
label S91='Y/N PRCT TO STC, EMPL BURDEN FILE CLAIM';
label S92='Y/N PRCT TO STC, EMPL IMPACT FRINGE BEN';
label S92A='Y/N PRCT TO STC, EMPL OTHER OBJECTIONS';
label S93='PRCT TO STC, EMPLOYEES 1-5';
label S94='Y/N ARCT TO STC, EMPL INC JOB SECUR';
label S95='Y/N ARCT TO STC, EMPL FAIRNESS';
label S96='Y/N ARCT TO STC, EMPL PAY FOR LEISURE';
label S97='Y/N ARCT TO STC, EMPL CONTIN FRINGE BEN';
label S98='Y/N ARCT TO STC, EMPL POS WORK MORALE';
label S98A='Y/N ARCT TO STC, EMPL OTHER POS REASONS';
label S99='Y/N ARCT TO STC, EMPL REDUCED EARNINGS';
label S100='Y/N ARCT TO STC, EMPL UNFAIR TO SENIOR';
label S101='Y/N ARCT TO STC, EMPL UNPRED WORK SCHED';
label S102='Y/N ARCT TO STC, EMPL SPEED UP WORK';
label S103='Y/N ARCT TO STC, EMPL BURDEN FILE CLAIM';
label S104='Y/N ARCT TO STC, EMPL IMPACT FRINGE BEN';
label S104A='Y/N ARCT TO STC, EMPL OTHER OBJECTIONS';
label S105='Y/N PART EMPL COVERED BY COLL BARGAIN';
label S106='PRCT TO STC, UNION 1-5';
label S107='Y/N PRCT TO STC, UNIO INC JOB SECURITY';
label S108='Y/N PRCT TO STC, UNIO FAIRNESS';
label S109='Y/N PRCT TO STC, UNIO PAY FOR LEISURE';
label S109A='Y/N PRCT TO STC, UNIO CONTIN FRINGE BEN';
label S110='Y/N PRCT TO STC, UNIO POS WORK MORALE';
label S110A='Y/N PRCT TO STC, UNIO OTHER POS REASONS';
label S111='Y/N PRCT TO STC, UNIO REDUCED EARNINGS';
label S112='Y/N PRCT TO STC, UNIO UNFAIR TO SENIOR';
label S113='Y/N PRCT TO STC, UNIO UNPRED WORK SCHED';
label S114='Y/N PRCT TO STC, UNIO SPEED UP WORK';
label S115='Y/N PRCT TO STC, UNIO BURDEN FILE CLAIM';
label S116='Y/N PRCT TO STC, UNIO IMPACT FRINGE BEN';
label S116A='Y/N PRCT TO STC, UNIO OTHER OBJECTIONS';
label S117='ARCT TO STC, UNION 1-5';    
label S118='Y/N ARCT TO STC, UNIO INC JOB SECURITY';
label S119='Y/N ARCT TO STC, UNIO FAIRNESS';
label S120='Y/N ARCT TO STC, UNIO PAY FOR LEISURE';
label S121='Y/N ARCT TO STC, UNIO CONTIN FRING BEN';
label S122='Y/N ARCT TO STC, UNIO POS WORK MORALE';
label S122A='Y/N ARCT TO STC, UNIO OTHER POS REASONS';
label S123='Y/N ARCT TO STC, UNIO REDUCED EARNINGS';
label S124='Y/N ARCT TO STC, UNIO UNFAIR TO SENIOR';
label S125='Y/N ARCT TO STC, UNIO UNPRED WORK SCHED';
label S126='Y/N ARCT TO STC, UNIO INC WORK PROD';
label S127='Y/N ARCT TO STC, UNIO BURDEN FILE CLAIM';
label S128='Y/N ARCT TO STC, UNIO IMPACT FRINGE BEN';
label S128A='Y/N ARCT TO STC, UNIO OTHER OBJECTIONS';
label S129='COMPANY KEPT EMPL OVR LAYOFF SA/A/N/D/SD';
label S130='RED TURNOVER INC PROFIT SA/A/N/D/SD';
label S131='USE SOL IN FUTURE SA/A/N/D/SD';
label S132='Y/N SOL FLEX IN ADJ EMPL LEVELS TO DEMND';
label S133='Y/N SOL RETAIN VALUED EMPLOYEES';
label S134='Y/N SOL AVOID DISRUPTION TO BUS OPER';
label S135='Y/N SOL REDUCE/ELIM COSTS OF HIRE/REHIRE';
label S136='Y/N SOL ALLOW EMPLOYEES TO RETAIN BENS';
label S137='Y/N SOL GIVE LGR NUM EMPLOYEES EMPLOYMEN';
label S138='Y/N SOL MAINTAIN EMPLOYEE MORALE';
label S139='Y/N SOL GIVE EMPLOYEES MORE FREE TIME';
label S139A='Y/N OTHER REASONS TO USE SOL';
label S140='Y/N SOL INCREASE IN UI TAX RATE';
label S148A='Y/N OTHER REASONS NOT TO USE SOL';
label S141='Y/N SOL HIGHER FRINGE BENEFIT';
label S142='Y/N SOL PROG RULES INFLEXIBLE';
label S143='Y/N SOL BEN PERIOD FOR EMPL TOO SHORT';
label S144='Y/N SOL ADMIN BURDEN';
label S145='Y/N SOL UNION OPPOSITION';
label S146='Y/N SOL WORKER OPPOSITION';
label S147='Y/N SOL HIGHER TURNOVER';
label S148='Y/N SOL INEFFICIENT PROD PROCESS';
label R1='NUMBER STC CLAIMANTS 1992';
label R2='NUMBER NEW STC CLAIMANTS 1992';
label R3='PERCENT STC CLAIMANTS MALE';
label R4='PERCENT STC CLAIMANTS WHITE';
label R5='PERCENT STC CLAIMANTS BLACK';
label R6='PERCENT STC CLAIMANTS HISPANIC';
label R7='PERCENT STC CLAIMANTS ASIAN';
label R8='PERCENT STC CLAIMANTS NATIVE AMER';
label R8A='PERCENT STC CLAIMANTS UNKNOWN RACE';
label R9='PERCENT STC CLAIMANTS UNDER AGE 25';
label R10='PERCENT STC CLAIMANTS AGE 25-40';
label R11='PERCENT STC CLAIMANTS AGE 41-60';
label R12='PERCENT STC CLAIMANTS OVER AGE 60';
label R14='FIRM HAS STC PLAN APPROVED IN 1992';
label R15='FIRM HAS 4+ QUARTERS OF STC CHGS 1992';
label R16='FIRM HAS 12+ QUARTERS OF STC CHGS 91-93';


proc contents data=empsurv;
proc means data=empsurv;

